Bug 1125915 - Update EAP configuration according to the jvm settings
Summary: Update EAP configuration according to the jvm settings
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR8
: EAP 6.4.0
Assignee: trev
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 10:37 UTC by Petr Kremensky
Modified: 2019-02-22 22:37 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)

Description Petr Kremensky 2014-08-01 10:37:23 UTC
Description of problem:
On Linux and Windows the 32-bit/64-bit environment is specified by used jdk instance, however you have to use -d32/-d64 switch to specify it on Solaris and HP-UX. 

Since we support only 64-bit Solaris-sparc and HP-UX combinations we should update the EAP configuration on these platforms.

If we run the installation on Solaris or HP-UX and System.getProperty("sun.arch.data.model") == 64, then update the EAP configuration so EAP processes start with -d64 switch.

This would mean to update standalone.conf, domain.conf, and host*.xml files as described in [1]

[1] - https://mojo.redhat.com/docs/DOC-978522#jive_content_id_EAP6

Comment 1 Thomas Hauser 2014-08-01 14:17:22 UTC
Changing type to enhancement; looking through the doc, these changes seem nice and easy to implement. I'll go ahead and ack this now for 6.4.0.

Comment 2 Ahmed Abu Lawi 2014-08-07 15:56:50 UTC
Hello Petr,

I've addressed the issue by applying a patch to each of the configuration files that you specified. If the OS is HP-UX or Solaris it will substitute the additional argument into the config files.

http://git.app.eng.bos.redhat.com/git/eap-installer.git/commit/?id=fc29303a10d4c20f20d4612d0faaf3334beede73

Comment 3 Petr Kremensky 2014-09-24 05:09:22 UTC
This is an installer issue. First installer is expected to be shipped with ER1.

Comment 4 Thomas Hauser 2014-10-08 18:46:36 UTC
Since we're providing an installer for DR4, this bug should be tested in that extended test cycle.

Comment 5 Petr Kremensky 2014-10-22 08:54:10 UTC
I guess that this should be moved to ON_QA, however I found one issue with this. -d64 switch should be added only if we use 64-bit instance on installation. Once we use 32-bit (default) we can left the configuration as it is (still speaking only about Solaris and HP-UX).

I used 32-bit Solaris 11 for installation, but but I can see -d64 switch in *.conf files.

Can you please fix this so the configuration is updated with -d64 switch only if 64-bit jdk is used.

Comment 6 Thomas Hauser 2014-10-27 20:23:58 UTC
Hi Petr,

This issue may be related to Solaris; I installed on eap-perf-hpux-04 with the default 32-bit JVM and the options were not added to the standalone.conf / host.xml.

Comment 7 Thomas Hauser 2014-10-27 21:06:21 UTC
Ignore the comment above. I was using the incorrect version of the EAP installer (this version contained the fix, so I didn't reproduce with it, haha)

Reproduced in Solaris and HPUX using the DR4 installer currently posted in candidates. Marking as MODIFIED.

Comment 8 Petr Kremensky 2014-12-03 08:40:01 UTC
Verified on EAP 6.4.0.DR9 installer.


Note You need to log in before you can comment on or make changes to this bug.